Package org.apache.commons.imaging.formats.webp.chunks

# Class WebPChunkAnmf

java.lang.Object
org.apache.commons.imaging.common.BinaryFileParser
org.apache.commons.imaging.formats.webp.chunks.AbstractWebPChunk
org.apache.commons.imaging.formats.webp.chunks.WebPChunkAnmf

public final class WebPChunkAnmf extends AbstractWebPChunk
ANMF (animation single frame) chunk.

      0                   1                   2                   3
      0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |                      ChunkHeader('ANMF')                      |
     |                                                               |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |                        Frame X                |             ...
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     ...          Frame Y            |   Frame Width Minus One     ...
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     ...             |           Frame Height Minus One              |
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     |                 Frame Duration                |  Reserved |B|D|
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
     :                         Frame Data                            :
     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Since:
  1.0.0-alpha4
See Also:
  - Extended File Format#Animation

- ## Field Summary

  ### Fields inherited from class org.apache.commons.imaging.formats.webp.chunks.AbstractWebPChunk

  `bytes`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebPChunkAnmf(int type, int size, byte[] bytes)`
  Create an ANMF chunk.

- ## Method Summary

  ### Methods inherited from class org.apache.commons.imaging.formats.webp.chunks.AbstractWebPChunk

  `dump, getBytes, getChunkSize, getPayloadSize, getType, getTypeDescription`

  ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

  `debugNumber, debugNumber, getByteOrder, setByteOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WebPChunkAnmf

    public WebPChunkAnmf(int type, int size, byte[] bytes) throws ImagingException
    Create an ANMF chunk.
    Parameters:
      `type` - chunk type.
      `size` - chunk size.
      `bytes` - chunk data.
    Throws:
      `ImagingException` - if the chunk data and the size provided do not match.